public static interface IgniteComputeEndpointBuilderFactory.IgniteComputeBuilders
| Modifier and Type | Method and Description |
|---|---|
default IgniteComputeEndpointBuilderFactory.IgniteComputeEndpointBuilder |
igniteCompute(String path)
Ignite Compute (camel-ignite)
Run compute operations on an Ignite cluster.
|
default IgniteComputeEndpointBuilderFactory.IgniteComputeEndpointBuilder |
igniteCompute(String componentName,
String path)
Ignite Compute (camel-ignite)
Run compute operations on an Ignite cluster.
|
default IgniteComputeEndpointBuilderFactory.IgniteComputeEndpointBuilder igniteCompute(String path)
ignite-compute:endpointId
Path parameter: endpointId (required)
The endpoint ID (not used).path - endpointIddefault IgniteComputeEndpointBuilderFactory.IgniteComputeEndpointBuilder igniteCompute(String componentName, String path)
ignite-compute:endpointId
Path parameter: endpointId (required)
The endpoint ID (not used).componentName - to use a custom component name for the endpoint
instead of the default namepath - endpointIdApache Camel